<header>
  <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
    <div class="container">
      <a class="navbar-brand" [routerLink]="['/']">MovieTracker</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse"
        aria-label="Toggle navigation" [attr.aria-expanded]="isExpanded" (click)="toggle()">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="navbar-collapse collapse d-sm-inline-flex justify-content-end" [ngClass]="{ show: isExpanded }">
        <ul class="navbar-nav flex-grow">
          <li class="nav-item" [routerLinkActive]="['link-active']" [routerLinkActiveOptions]="{ exact: true }">
            <a class="nav-link text-dark" [routerLink]="['/']">Home</a>
          </li>
          <li *ngIf="authService.isAuthenticated()" class="nav-item" [routerLinkActive]="['link-active']">
            <a class="nav-link text-dark" [routerLink]="['/movie-library']">Movie Library</a>
          </li>
          <li *ngIf="authService.isAuthenticated()" class="nav-item" [routerLinkActive]="['link-active']">
            <a class="nav-link text-dark" [routerLink]="['/add-movie']">Add Movie</a>
          </li>
          <!-- Display the register button if user is not logged in-->
          <li *ngIf="!authService.isAuthenticated()" class="nav-item" [routerLinkActive]="['link-active']">
            <a class="nav-link underline-blue" [routerLink]="['/register']">Register</a>
          </li>
          <!-- Display the login button if user is not logged in-->
          <li *ngIf="!authService.isAuthenticated()" class="nav-item" [routerLinkActive]="['link-active']">
            <a class="nav-link underline-blue" [routerLink]="['/login']">Login</a>
          </li>
          <!-- Logout the user if user is logged in-->
          <li *ngIf="authService.isAuthenticated()" class="nav-item">
            <a class="nav-link underline-blue pointer-hover" (click)="openLogoutConfirmationModal()">Logout</a>
          </li>
        </ul>
      </div>
    </div>

    <ng-template #logoutConfirmationModal>
        <div class="modal-content">
          <div class="modal-body text-center">
            <br>
            <p>Are you sure you want to logout?</p>
            <br>
            <div class="d-flex justify-content-center">
              <button type="button" class="btn btn-secondary" (click)="modalRef.dismiss('cancel')">Cancel</button>
              <button type="button" class="btn btn-primary" (click)="authService.logout()" (click)="modalRef.dismiss('logged out')">Logout</button>
            </div>
            <br>
          </div>
        </div>
    </ng-template>

  </nav>
</header>